# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/PythonPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_PythonPage(object):
    def setupUi(self, PythonPage):
        PythonPage.setObjectName("PythonPage")
        PythonPage.resize(529, 564)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(PythonPage)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.headerLabel = QtWidgets.QLabel(parent=PythonPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_2.addWidget(self.headerLabel)
        self.line11_2_2_2_2 = QtWidgets.QFrame(parent=PythonPage)
        self.line11_2_2_2_2.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line11_2_2_2_2.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line11_2_2_2_2.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line11_2_2_2_2.setObjectName("line11_2_2_2_2")
        self.verticalLayout_2.addWidget(self.line11_2_2_2_2)
        self.groupBox = QtWidgets.QGroupBox(parent=PythonPage)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=self.groupBox)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.stringEncodingComboBox = QtWidgets.QComboBox(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.stringEncodingComboBox.sizePolicy().hasHeightForWidth())
        self.stringEncodingComboBox.setSizePolicy(sizePolicy)
        self.stringEncodingComboBox.setObjectName("stringEncodingComboBox")
        self.gridLayout.addWidget(self.stringEncodingComboBox, 0, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.ioEncodingComboBox = QtWidgets.QComboBox(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ioEncodingComboBox.sizePolicy().hasHeightForWidth())
        self.ioEncodingComboBox.setSizePolicy(sizePolicy)
        self.ioEncodingComboBox.setObjectName("ioEncodingComboBox")
        self.gridLayout.addWidget(self.ioEncodingComboBox, 1, 1, 1, 1)
        self.verticalLayout_2.addWidget(self.groupBox)
        self.groupBox_3 = QtWidgets.QGroupBox(parent=PythonPage)
        self.groupBox_3.setObjectName("groupBox_3")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.groupBox_3)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.label_3 = QtWidgets.QLabel(parent=self.groupBox_3)
        self.label_3.setWordWrap(True)
        self.label_3.setObjectName("label_3")
        self.gridLayout_2.addWidget(self.label_3, 0, 0, 1, 2)
        self.label_5 = QtWidgets.QLabel(parent=self.groupBox_3)
        self.label_5.setObjectName("label_5")
        self.gridLayout_2.addWidget(self.label_5, 1, 0, 1, 1)
        self.py3ExtensionsEdit = QtWidgets.QLineEdit(parent=self.groupBox_3)
        self.py3ExtensionsEdit.setObjectName("py3ExtensionsEdit")
        self.gridLayout_2.addWidget(self.py3ExtensionsEdit, 1, 1, 1, 1)
        self.verticalLayout_2.addWidget(self.groupBox_3)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=PythonPage)
        self.groupBox_2.setObjectName("groupBox_2")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox_2)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label_6 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.label_6.setWordWrap(True)
        self.label_6.setObjectName("label_6")
        self.verticalLayout.addWidget(self.label_6)
        self.groupBox_4 = QtWidgets.QGroupBox(parent=self.groupBox_2)
        self.groupBox_4.setObjectName("groupBox_4")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.groupBox_4)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.label_9 = QtWidgets.QLabel(parent=self.groupBox_4)
        self.label_9.setObjectName("label_9")
        self.gridLayout_3.addWidget(self.label_9, 0, 0, 1, 1)
        self.py3EnvironmentEdit = QtWidgets.QLineEdit(parent=self.groupBox_4)
        self.py3EnvironmentEdit.setReadOnly(True)
        self.py3EnvironmentEdit.setObjectName("py3EnvironmentEdit")
        self.gridLayout_3.addWidget(self.py3EnvironmentEdit, 0, 1, 1, 1)
        self.verticalLayout.addWidget(self.groupBox_4)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.refreshButton = QtWidgets.QPushButton(parent=self.groupBox_2)
        self.refreshButton.setObjectName("refreshButton")
        self.horizontalLayout.addWidget(self.refreshButton)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem1)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.verticalLayout_2.addWidget(self.groupBox_2)
        self.groupBox_5 = QtWidgets.QGroupBox(parent=PythonPage)
        self.groupBox_5.setObjectName("groupBox_5")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.groupBox_5)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.label_4 = QtWidgets.QLabel(parent=self.groupBox_5)
        self.label_4.setObjectName("label_4")
        self.horizontalLayout_2.addWidget(self.label_4)
        self.astErrorItemButton = QtWidgets.QPushButton(parent=self.groupBox_5)
        self.astErrorItemButton.setMinimumSize(QtCore.QSize(100, 0))
        self.astErrorItemButton.setText("")
        self.astErrorItemButton.setObjectName("astErrorItemButton")
        self.horizontalLayout_2.addWidget(self.astErrorItemButton)
        spacerItem2 = QtWidgets.QSpacerItem(392, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem2)
        self.verticalLayout_2.addWidget(self.groupBox_5)
        self.groupBox_6 = QtWidgets.QGroupBox(parent=PythonPage)
        self.groupBox_6.setObjectName("groupBox_6")
        self.gridLayout_4 = QtWidgets.QGridLayout(self.groupBox_6)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.label_7 = QtWidgets.QLabel(parent=self.groupBox_6)
        self.label_7.setObjectName("label_7")
        self.gridLayout_4.addWidget(self.label_7, 0, 0, 1, 1)
        self.disErrorItemButton = QtWidgets.QPushButton(parent=self.groupBox_6)
        self.disErrorItemButton.setMinimumSize(QtCore.QSize(100, 0))
        self.disErrorItemButton.setText("")
        self.disErrorItemButton.setObjectName("disErrorItemButton")
        self.gridLayout_4.addWidget(self.disErrorItemButton, 0, 1, 1, 1)
        spacerItem3 = QtWidgets.QSpacerItem(369, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_4.addItem(spacerItem3, 0, 2, 1, 1)
        self.label_8 = QtWidgets.QLabel(parent=self.groupBox_6)
        self.label_8.setObjectName("label_8")
        self.gridLayout_4.addWidget(self.label_8, 1, 0, 1, 1)
        self.disCurrentInstructionButton = QtWidgets.QPushButton(parent=self.groupBox_6)
        self.disCurrentInstructionButton.setMinimumSize(QtCore.QSize(100, 0))
        self.disCurrentInstructionButton.setText("")
        self.disCurrentInstructionButton.setObjectName("disCurrentInstructionButton")
        self.gridLayout_4.addWidget(self.disCurrentInstructionButton, 1, 1, 1, 1)
        self.label_10 = QtWidgets.QLabel(parent=self.groupBox_6)
        self.label_10.setObjectName("label_10")
        self.gridLayout_4.addWidget(self.label_10, 2, 0, 1, 1)
        self.disLabeledInstructionButton = QtWidgets.QPushButton(parent=self.groupBox_6)
        self.disLabeledInstructionButton.setMinimumSize(QtCore.QSize(100, 0))
        self.disLabeledInstructionButton.setText("")
        self.disLabeledInstructionButton.setObjectName("disLabeledInstructionButton")
        self.gridLayout_4.addWidget(self.disLabeledInstructionButton, 2, 1, 1, 1)
        self.showCodeInfoDetailsCeckBox = QtWidgets.QCheckBox(parent=self.groupBox_6)
        self.showCodeInfoDetailsCeckBox.setObjectName("showCodeInfoDetailsCeckBox")
        self.gridLayout_4.addWidget(self.showCodeInfoDetailsCeckBox, 3, 0, 1, 3)
        self.verticalLayout_2.addWidget(self.groupBox_6)
        spacerItem4 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_2.addItem(spacerItem4)

        self.retranslateUi(PythonPage)
        QtCore.QMetaObject.connectSlotsByName(PythonPage)
        PythonPage.setTabOrder(self.stringEncodingComboBox, self.ioEncodingComboBox)
        PythonPage.setTabOrder(self.ioEncodingComboBox, self.py3ExtensionsEdit)
        PythonPage.setTabOrder(self.py3ExtensionsEdit, self.py3EnvironmentEdit)
        PythonPage.setTabOrder(self.py3EnvironmentEdit, self.refreshButton)
        PythonPage.setTabOrder(self.refreshButton, self.astErrorItemButton)
        PythonPage.setTabOrder(self.astErrorItemButton, self.disErrorItemButton)
        PythonPage.setTabOrder(self.disErrorItemButton, self.disCurrentInstructionButton)
        PythonPage.setTabOrder(self.disCurrentInstructionButton, self.disLabeledInstructionButton)

    def retranslateUi(self, PythonPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("PythonPage", "<b>Configure Python</b>"))
        self.groupBox.setTitle(_translate("PythonPage", "Encoding"))
        self.label.setText(_translate("PythonPage", "String Encoding:"))
        self.stringEncodingComboBox.setToolTip(_translate("PythonPage", "Select the string encoding to be used."))
        self.label_2.setText(_translate("PythonPage", "I/O Encoding:"))
        self.ioEncodingComboBox.setToolTip(_translate("PythonPage", "Select the string encoding used by commandline tools."))
        self.groupBox_3.setTitle(_translate("PythonPage", "Source association"))
        self.label_3.setText(_translate("PythonPage", "Enter the file extensions to be associated with Python separated by a space."))
        self.label_5.setText(_translate("PythonPage", "Python 3:"))
        self.groupBox_2.setTitle(_translate("PythonPage", "Python Environments"))
        self.label_6.setText(_translate("PythonPage", "Please configure the Python environments on the \'Python3 Debugger\' page."))
        self.groupBox_4.setTitle(_translate("PythonPage", "Currently selected environments"))
        self.label_9.setText(_translate("PythonPage", "Python 3:"))
        self.refreshButton.setToolTip(_translate("PythonPage", "Press to update the display of the currently selected environments"))
        self.refreshButton.setText(_translate("PythonPage", "Refresh"))
        self.groupBox_5.setTitle(_translate("PythonPage", "AST Viewer"))
        self.label_4.setText(_translate("PythonPage", "Error Messages:"))
        self.astErrorItemButton.setToolTip(_translate("PythonPage", "Select the color for error messages"))
        self.groupBox_6.setTitle(_translate("PythonPage", "Disassembly Viewer"))
        self.label_7.setText(_translate("PythonPage", "Error Messages:"))
        self.disErrorItemButton.setToolTip(_translate("PythonPage", "Select the color for error messages"))
        self.label_8.setText(_translate("PythonPage", "Current Instruction:"))
        self.disCurrentInstructionButton.setToolTip(_translate("PythonPage", "Select the color for the current instruction"))
        self.label_10.setText(_translate("PythonPage", "Labeled Instruction:"))
        self.disLabeledInstructionButton.setToolTip(_translate("PythonPage", "Select the color for labeled instructions"))
        self.showCodeInfoDetailsCeckBox.setToolTip(_translate("PythonPage", "Select to show code information subsections expanded"))
        self.showCodeInfoDetailsCeckBox.setText(_translate("PythonPage", "Show all code information subsections"))
